Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class ServiceInformation

    java.lang.Object
      |
      +--org.omg.CORBA.ServiceInformation

All Implemented Interfaces:
  IDLEntity, Serializable

public final class ServiceInformation
extends Object
implements IDLEntity

An IDL struct in the CORBA module that stores information about a CORBA service available in the ORB implementation and is obtained from the `ORB.get_service_information` method.

Field Summary
`ServiceDetail[]` | `service_details` Array of ServiceDetails giving more details about the service.
`int[]` | `service_options` Array of ints representing service options.

Constructor Summary
`ServiceInformation()` Constructs a ServiceInformation object with empty service_options and service_details.
`ServiceInformation(int[] __service_options, ServiceDetail[] __service_details)` Constructs a ServiceInformation object with the given service_options and service_details.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### service_options

    public int[] service_options

  Array of ints representing service options.

### service_details

    public ServiceDetail[] service_details

  Array of ServiceDetails giving more details about the service.

Constructor Detail

### ServiceInformation

    public ServiceInformation()

  Constructs a ServiceInformation object with empty service_options and service_details.

### ServiceInformation

    public ServiceInformation(int[] __service_options,
                              ServiceDetail[] __service_details)

  Constructs a ServiceInformation object with the given service_options and service_details.

Parameters:
  `__service_options` - An array of ints describing the service options.
  `__service_details` - An array of ServiceDetails describing the service details.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.